regina::NPropertyBase Class Referenceabstract
Utilities

A base class that provides routines shared by all properties, regardless of their individual NProperty template parameters. More...

`#include <utilities/nproperty.h>`

Inheritance diagram for regina::NPropertyBase:

## Public Member Functions

virtual | ~NPropertyBase ()
| Virtual destructor. More...
virtual bool | known () const =0
| Returns whether or not this property is currently marked as known. More...
virtual void | clear ()=0
| Marks this property as unknown. More...

## Detailed Description

A base class that provides routines shared by all properties, regardless of their individual NProperty template parameters.

Python:
  Not present.

## Constructor & Destructor Documentation

virtual regina::NPropertyBase::~NPropertyBase | ( |  | ) |

inline virtual

Virtual destructor.

## Member Function Documentation

virtual void regina::NPropertyBase::clear | ( |  | ) |

pure virtual

Marks this property as unknown.

Implemented in regina::NProperty< T, Storage >, regina::NProperty< regina::NIntegerBase >, regina::NProperty< regina::NDiscType >, regina::NProperty< regina::NAbelianGroup, regina::StoreManagedPtr >, regina::NProperty< bool >, and regina::NProperty< regina::NGroupPresentation, regina::StoreManagedPtr >.

virtual bool regina::NPropertyBase::known | ( |  | ) | const

pure virtual

Returns whether or not this property is currently marked as known.

Returns
  whether this property is marked as known.

Implemented in regina::NProperty< T, Storage >, regina::NProperty< regina::NIntegerBase >, regina::NProperty< regina::NDiscType >, regina::NProperty< regina::NAbelianGroup, regina::StoreManagedPtr >, regina::NProperty< bool >, and regina::NProperty< regina::NGroupPresentation, regina::StoreManagedPtr >.

The documentation for this class was generated from the following file:

- utilities/nproperty.h

Copyright © 1999-2013, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@debian.org).